[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TBucket

Bucket record

## Declaration

Source position: contnrs.pp line 496

`type TBucket = record`
`Count: Integer;` |  | Number of items in the bucket
`Items: TBucketItemArray;` |  | Items in this bucket
`end;`

## Description

TBucket describes 1 bucket in the TCustomBucketList class. It is a container for TBucketItem records. It should never be used directly.

## See also

TBucketItem |  | Record used in bucket list.
TCustomBucketList |  | Custom bucket list class

Documentation generated on: Feb 26 2014